DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTPlannedVerificationImageSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTPlannedVerificationImageSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getEndCumulativeMetersetWeight (OFString &value, const signed long pos=0) const
| get EndCumulativeMetersetWeight (300c,0009) More...
OFCondition | getEndCumulativeMetersetWeight (Float64 &value, const unsigned long pos=0) const
| get EndCumulativeMetersetWeight (300c,0009) More...
OFCondition | getImagingDeviceSpecificAcquisitionParameters (OFString &value, const signed long pos=0) const
| get ImagingDeviceSpecificAcquisitionParameters (300a,00cc) More...
OFCondition | getMetersetExposure (OFString &value, const signed long pos=0) const
| get MetersetExposure (3002,0032) More...
OFCondition | getMetersetExposure (Float64 &value, const unsigned long pos=0) const
| get MetersetExposure (3002,0032) More...
OFCondition | getRTImageOrientation (OFString &value, const signed long pos=0) const
| get RTImageOrientation (3002,0010) More...
OFCondition | getRTImageOrientation (Float64 &value, const unsigned long pos=0) const
| get RTImageOrientation (3002,0010) More...
OFCondition | getRTImageOrientation (OFVector< Float64 > &value) const
| get RTImageOrientation (3002,0010) More...
OFCondition | getRTImagePlane (OFString &value, const signed long pos=0) const
| get RTImagePlane (3002,000c) More...
OFCondition | getRTImagePosition (OFString &value, const signed long pos=0) const
| get RTImagePosition (3002,0012) More...
OFCondition | getRTImagePosition (Float64 &value, const unsigned long pos=0) const
| get RTImagePosition (3002,0012) More...
OFCondition | getRTImagePosition (OFVector< Float64 > &value) const
| get RTImagePosition (3002,0012) More...
OFCondition | getRTImageSID (OFString &value, const signed long pos=0) const
| get RTImageSID (3002,0026) More...
OFCondition | getRTImageSID (Float64 &value, const unsigned long pos=0) const
| get RTImageSID (3002,0026) More...
OFCondition | getReferencedReferenceImageNumber (OFString &value, const signed long pos=0) const
| get ReferencedReferenceImageNumber (300c,0007) More...
OFCondition | getReferencedReferenceImageNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedReferenceImageNumber (300c,0007) More...
OFCondition | getStartCumulativeMetersetWeight (OFString &value, const signed long pos=0) const
| get StartCumulativeMetersetWeight (300c,0008) More...
OFCondition | getStartCumulativeMetersetWeight (Float64 &value, const unsigned long pos=0) const
| get StartCumulativeMetersetWeight (300c,0008) More...
OFCondition | getXRayImageReceptorAngle (OFString &value, const signed long pos=0) const
| get XRayImageReceptorAngle (3002,000e) More...
OFCondition | getXRayImageReceptorAngle (Float64 &value, const unsigned long pos=0) const
| get XRayImageReceptorAngle (3002,000e) More...
OFCondition | setEndCumulativeMetersetWeight (const OFString &value, const OFBool check=OFTrue)
| set EndCumulativeMetersetWeight (300c,0009) More...
OFCondition | setImagingDeviceSpecificAcquisitionParameters (const OFString &value, const OFBool check=OFTrue)
| set ImagingDeviceSpecificAcquisitionParameters (300a,00cc) More...
OFCondition | setMetersetExposure (const OFString &value, const OFBool check=OFTrue)
| set MetersetExposure (3002,0032) More...
OFCondition | setRTImageOrientation (const OFString &value, const OFBool check=OFTrue)
| set RTImageOrientation (3002,0010) More...
OFCondition | setRTImagePlane (const OFString &value, const OFBool check=OFTrue)
| set RTImagePlane (3002,000c) More...
OFCondition | setRTImagePosition (const OFString &value, const OFBool check=OFTrue)
| set RTImagePosition (3002,0012) More...
OFCondition | setRTImageSID (const OFString &value, const OFBool check=OFTrue)
| set RTImageSID (3002,0026) More...
OFCondition | setReferencedReferenceImageNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedReferenceImageNumber (300c,0007) More...
OFCondition | setStartCumulativeMetersetWeight (const OFString &value, const OFBool check=OFTrue)
| set StartCumulativeMetersetWeight (300c,0008) More...
OFCondition | setXRayImageReceptorAngle (const OFString &value, const OFBool check=OFTrue)
| set XRayImageReceptorAngle (3002,000e) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | EndCumulativeMetersetWeight
| EndCumulativeMetersetWeight (300c,0009) vr=DS, vm=1, type=3.
DcmLongString | ImagingDeviceSpecificAcquisitionParameters
| ImagingDeviceSpecificAcquisitionParameters (300a,00cc) vr=LO, vm=1-n, type=3.
DcmDecimalString | MetersetExposure
| MetersetExposure (3002,0032) vr=DS, vm=1, type=3.
DcmDecimalString | RTImageOrientation
| RTImageOrientation (3002,0010) vr=DS, vm=6, type=3.
DcmCodeString | RTImagePlane
| RTImagePlane (3002,000c) vr=CS, vm=1, type=3.
DcmDecimalString | RTImagePosition
| RTImagePosition (3002,0012) vr=DS, vm=2, type=3.
DcmDecimalString | RTImageSID
| RTImageSID (3002,0026) vr=DS, vm=1, type=3.
DcmIntegerString | ReferencedReferenceImageNumber
| ReferencedReferenceImageNumber (300c,0007) vr=IS, vm=1, type=3.
DcmDecimalString | StartCumulativeMetersetWeight
| StartCumulativeMetersetWeight (300c,0008) vr=DS, vm=1, type=3.
DcmDecimalString | XRayImageReceptorAngle
| XRayImageReceptorAngle (3002,000e) vr=DS, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTPlannedVerificationImageSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTPlannedVerificationImageSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getEndCumulativeMetersetWeight() [1/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getEndCumulativeMetersetWeight | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get EndCumulativeMetersetWeight (300c,0009)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getEndCumulativeMetersetWeight() [2/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getEndCumulativeMetersetWeight | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get EndCumulativeMetersetWeight (300c,0009)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImagingDeviceSpecificAcquisitionParameters()

OFCondition DRTPlannedVerificationImageSequence::Item::getImagingDeviceSpecificAcquisitionParameters | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ImagingDeviceSpecificAcquisitionParameters (300a,00cc)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMetersetExposure() [1/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getMetersetExposure | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get MetersetExposure (3002,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMetersetExposure() [2/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getMetersetExposure | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get MetersetExposure (3002,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedReferenceImageNumber() [1/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getReferencedReferenceImageNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedReferenceImageNumber (300c,0007)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedReferenceImageNumber() [2/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getReferencedReferenceImageNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ReferencedReferenceImageNumber (300c,0007)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTImageOrientation() [1/3]

OFCondition DRTPlannedVerificationImageSequence::Item::getRTImageOrientation | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get RTImageOrientation (3002,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTImageOrientation() [2/3]

OFCondition DRTPlannedVerificationImageSequence::Item::getRTImageOrientation | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RTImageOrientation (3002,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTImageOrientation() [3/3]

OFCondition DRTPlannedVerificationImageSequence::Item::getRTImageOrientation | ( | OFVector< Float64 > & | value | ) | const

get RTImageOrientation (3002,0010)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTImagePlane()

OFCondition DRTPlannedVerificationImageSequence::Item::getRTImagePlane | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RTImagePlane (3002,000c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTImagePosition() [1/3]

OFCondition DRTPlannedVerificationImageSequence::Item::getRTImagePosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get RTImagePosition (3002,0012)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTImagePosition() [2/3]

OFCondition DRTPlannedVerificationImageSequence::Item::getRTImagePosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RTImagePosition (3002,0012)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTImagePosition() [3/3]

OFCondition DRTPlannedVerificationImageSequence::Item::getRTImagePosition | ( | OFVector< Float64 > & | value | ) | const

get RTImagePosition (3002,0012)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTImageSID() [1/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getRTImageSID | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get RTImageSID (3002,0026)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTImageSID() [2/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getRTImageSID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RTImageSID (3002,0026)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStartCumulativeMetersetWeight() [1/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getStartCumulativeMetersetWeight | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get StartCumulativeMetersetWeight (300c,0008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStartCumulativeMetersetWeight() [2/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getStartCumulativeMetersetWeight | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get StartCumulativeMetersetWeight (300c,0008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getXRayImageReceptorAngle() [1/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getXRayImageReceptorAngle | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get XRayImageReceptorAngle (3002,000e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getXRayImageReceptorAngle() [2/2]

OFCondition DRTPlannedVerificationImageSequence::Item::getXRayImageReceptorAngle | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get XRayImageReceptorAngle (3002,000e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTPlannedVerificationImageSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTPlannedVerificationImageSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTPlannedVerificationImageSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTPlannedVerificationImageSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setEndCumulativeMetersetWeight()

OFCondition DRTPlannedVerificationImageSequence::Item::setEndCumulativeMetersetWeight | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set EndCumulativeMetersetWeight (300c,0009)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setImagingDeviceSpecificAcquisitionParameters()

OFCondition DRTPlannedVerificationImageSequence::Item::setImagingDeviceSpecificAcquisitionParameters | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ImagingDeviceSpecificAcquisitionParameters (300a,00cc)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMetersetExposure()

OFCondition DRTPlannedVerificationImageSequence::Item::setMetersetExposure | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set MetersetExposure (3002,0032)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedReferenceImageNumber()

OFCondition DRTPlannedVerificationImageSequence::Item::setReferencedReferenceImageNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedReferenceImageNumber (300c,0007)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRTImageOrientation()

OFCondition DRTPlannedVerificationImageSequence::Item::setRTImageOrientation | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RTImageOrientation (3002,0010)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (6) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRTImagePlane()

OFCondition DRTPlannedVerificationImageSequence::Item::setRTImagePlane | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RTImagePlane (3002,000c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRTImagePosition()

OFCondition DRTPlannedVerificationImageSequence::Item::setRTImagePosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RTImagePosition (3002,0012)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (2) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRTImageSID()

OFCondition DRTPlannedVerificationImageSequence::Item::setRTImageSID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RTImageSID (3002,0026)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStartCumulativeMetersetWeight()

OFCondition DRTPlannedVerificationImageSequence::Item::setStartCumulativeMetersetWeight | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set StartCumulativeMetersetWeight (300c,0008)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setXRayImageReceptorAngle()

OFCondition DRTPlannedVerificationImageSequence::Item::setXRayImageReceptorAngle | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set XRayImageReceptorAngle (3002,000e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTPlannedVerificationImageSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtpvis.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1